gr::ieee802_15_4::zeropadding_removal_b Class Reference

<+description of block+> More...

`#include <zeropadding_removal_b.h>`

Inheritance diagram for gr::ieee802_15_4::zeropadding_removal_b:
[legend]

## Public Types

typedef boost::shared_ptr< zeropadding_removal_b > | sptr

## Static Public Member Functions

static sptr | make (int phr_payload_len, int nzeros)
| Return a shared_ptr to a new instance of ieee802_15_4::zeropadding_removal_b. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<zeropadding_removal_b> gr::ieee802_15_4::zeropadding_removal_b::sptr

## Member Function Documentation

## make()

static sptr gr::ieee802_15_4::zeropadding_removal_b::make | ( | int | phr_payload_len,
|  | int | nzeros
| ) |  |

static

Return a shared_ptr to a new instance of ieee802_15_4::zeropadding_removal_b.

To avoid accidental use of raw pointers, ieee802_15_4::zeropadding_removal_b's constructor is in a private implementation class. ieee802_15_4::zeropadding_removal_b::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- zeropadding_removal_b.h